from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Int, Boolean, String

Drive_Ls_V0_1_0 = CommandToolBuilder(tool="drive_ls", base_command=["drive", "ls"], inputs=[ToolInput(tag="in_depth", input_type=Int(optional=True), prefix="-depth", doc=InputDocumentation(doc="maximum recursion depth (default 1)")), ToolInput(tag="in_directories", input_type=Boolean(optional=True), prefix="-directories", doc=InputDocumentation(doc="list all directories")), ToolInput(tag="in_exact_owner", input_type=String(optional=True), prefix="-exact-owner", doc=InputDocumentation(doc="elements with the exact owner")), ToolInput(tag="in_exact_title", input_type=String(optional=True), prefix="-exact-title", doc=InputDocumentation(doc="get elements with the exact titles")), ToolInput(tag="in_files", input_type=Boolean(optional=True), prefix="-files", doc=InputDocumentation(doc="list only files")), ToolInput(tag="in_id", input_type=Boolean(optional=True), prefix="-id", doc=InputDocumentation(doc="list by id instead of path")), ToolInput(tag="in_long", input_type=Boolean(optional=True), prefix="-long", doc=InputDocumentation(doc="long listing of contents")), ToolInput(tag="in_match_mime", input_type=String(optional=True), prefix="-match-mime", doc=InputDocumentation(doc="get elements with the exact mimeTypes derived from extensions")), ToolInput(tag="in_match_owner", input_type=String(optional=True), prefix="-match-owner", doc=InputDocumentation(doc="elements with matching owners")), ToolInput(tag="in_matches", input_type=Boolean(optional=True), prefix="-matches", doc=InputDocumentation(doc="list by prefix")), ToolInput(tag="in_no_prompt", input_type=Boolean(optional=True), prefix="-no-prompt", doc=InputDocumentation(doc="shows no prompt before pagination")), ToolInput(tag="in_owners", input_type=Boolean(optional=True), prefix="-owners", doc=InputDocumentation(doc="shows the owner names per file")), ToolInput(tag="in_pagesize", input_type=Int(optional=True), prefix="-pagesize", doc=InputDocumentation(doc="number of results per pagination (default 100)")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="-quiet", doc=InputDocumentation(doc="if set, do not log anything but errors")), ToolInput(tag="in_recursive", input_type=Boolean(optional=True), prefix="-recursive", doc=InputDocumentation(doc="recursively list subdirectories")), ToolInput(tag="in_shared", input_type=Boolean(optional=True), prefix="-shared", doc=InputDocumentation(doc="show files that are shared with me")), ToolInput(tag="in_skip_mime", input_type=String(optional=True), prefix="-skip-mime", doc=InputDocumentation(doc="skip elements with mimeTypes derived from these extensions")), ToolInput(tag="in_skip_owner", input_type=String(optional=True), prefix="-skip-owner", doc=InputDocumentation(doc="ignore elements owned by these users")), ToolInput(tag="in_sort", input_type=Int(optional=True), prefix="-sort", doc=InputDocumentation(doc="sort items by a combination of attributes\n* modtime.\n* md5.\n* name.\n* size.\n* type.\n* version")), ToolInput(tag="in_trashed", input_type=Boolean(optional=True), prefix="-trashed", doc=InputDocumentation(doc="list content in the trash")), ToolInput(tag="in_version", input_type=Boolean(optional=True), prefix="-version", doc=InputDocumentation(doc="show the number of times that the file has been modified on\nthe server even with changes not visible to the user\n"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Drive_Ls_V0_1_0().translate("wdl", allow_empty_container=True)

